[oe-commits] Simon Busch : aurora: rework init script and bump PR

git version control git at git.openembedded.org
Thu May 19 12:13:38 UTC 2011


Module: openembedded.git
Branch: master
Commit: b6b191364ee3fd32bfd1d0e9e273df7c39e7b10b
URL:    http://git.openembedded.org/?p=openembedded.git&a=commit;h=b6b191364ee3fd32bfd1d0e9e273df7c39e7b10b

Author: Simon Busch <morphis at gravedo.de>
Date:   Wed May 18 23:10:17 2011 +0200

aurora: rework init script and bump PR

Signed-off-by: Simon Busch <morphis at gravedo.de>

---

 recipes/freesmartphone/aurora/aurora-daemon |   43 +++++++++++++++++++++++++--
 recipes/freesmartphone/aurora_git.bb        |    8 ++--
 2 files changed, 44 insertions(+), 7 deletions(-)

diff --git a/recipes/freesmartphone/aurora/aurora-daemon b/recipes/freesmartphone/aurora/aurora-daemon
index 73beb1b..3bb8fae 100644
--- a/recipes/freesmartphone/aurora/aurora-daemon
+++ b/recipes/freesmartphone/aurora/aurora-daemon
@@ -1,3 +1,40 @@
-#!/bin/sh
-export QWS_MOUSE_PROTO="LinuxInput:/dev/input/event6"
-aurora -qws > /tmp/aurora.log 2>&1 &
+#! /bin/sh
+#
+# aurora-daemon -- This shell script starts and stops the FSO feature phone client
+#
+# chkconfig: 345 90 10
+# description: aurora is the feature phone client for the FSO framework
+# processname: aurora
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+NAME=aurora
+
+[ -f /etc/default/rcS ] && . /etc/default/rcS
+
+case "$1" in
+    start)
+        echo -n "Starting aurora-daemon: "
+        start-stop-daemon --start --pidfile /var/run/${NAME}.pid --make-pidfile --background -x /usr/bin/${NAME} -- -qws
+        if [ $? = 0 ]; then
+            echo "(ok)"
+        else
+            echo "(failed)"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping aurora-daemon: "
+        start-stop-daemon --stop --pidfile /var/run/${NAME}.pid --oknodo
+        rm -f /var/run/${NAME}.pid
+        echo "(done)"
+        ;;
+    restart|force-reload)
+        $0 stop
+        $0 start
+        ;;
+    *)
+        echo "Usage: /etc/init.d/aurora-daemon {start|stop|restart|force-reload}"
+        exit 1
+        ;;
+esac
+
+exit 0
diff --git a/recipes/freesmartphone/aurora_git.bb b/recipes/freesmartphone/aurora_git.bb
index 0c24c33..f1839c8 100644
--- a/recipes/freesmartphone/aurora_git.bb
+++ b/recipes/freesmartphone/aurora_git.bb
@@ -6,7 +6,7 @@ SECTION = "fso"
 LICENSE = "GPLv2"
 SRCREV = "6db9e04728bd0434e6b79939ee18be43017afeef"
 PV = "0.1.0+gitr${SRCPV}"
-PR = "r0"
+PR = "r1"
 
 SRC_URI = "\
   ${FREESMARTPHONE_GIT}/aurora.git;protocol=git;branch=master \
@@ -26,11 +26,11 @@ RDEPENDS_${PN} = "\
 inherit autotools python-dir update-rc.d
 
 INITSCRIPT_NAME = "aurora-daemon"
-INITSCRIPT_PARAMS = "defaults 40"
+INITSCRIPT_PARAMS = "defaults 90"
 
 do_install_append() {
-	install -d ${D}${sysconfdir}/init.d/
-	install -m 0755 ${WORKDIR}/${INITSCRIPT_NAME} ${D}${sysconfdir}/init.d/
+  install -d ${D}${sysconfdir}/init.d/
+  install -m 0755 ${WORKDIR}/${INITSCRIPT_NAME} ${D}${sysconfdir}/init.d/
 }
 
 PACKAGES = "${PN}"





More information about the Openembedded-commits mailing list